test_links_separated_with_line_break_should_link tests nothing

2019-01-07 06:52 - Yuichi HARADA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Description

Since Redmine::WikiFormattingTest#test_links_separated_with_line_break_should_link ( 

source:trunk/test/unit/lib/redmine/wiki_formatting_test.rb#L57 ) does not have an assert method, the test is not executed.

$ bundle exec rake test TEST=test/unit/lib/redmine/wiki_formatting_test.rb:57

Run options: --seed 9224

# Running:

.

Finished in 0.023977s, 41.7066 runs/s, 0.0000 assertions/s.

1 runs, 0 assertions, 0 failures, 0 errors, 0 skips

$

 I made a patch, and attach it.

diff --git a/test/unit/lib/redmine/wiki_formatting_test.rb b/test/unit/lib/redmine/wiki_formatting

_test.rb

index b460bad35..6f05d3ef9 100644

--- a/test/unit/lib/redmine/wiki_formatting_test.rb

+++ b/test/unit/lib/redmine/wiki_formatting_test.rb

@@ -64,14 +64,15 @@ DIFF

 <p>link: <a class="external" href="https://www.redmine.org">https://www.redmine.org</a><br />

 <a class="external" href="http://www.redmine.org">http://www.redmine.org</a></p>

 EXPECTED

-

+

+    assert_equal expected.gsub(%r{[\r\n\t]}, ''), Redmine::WikiFormatting::NullFormatter::Formatt

er.new(raw).to_html.gsub(%r{[\r\n\t]}, '')

   end

   def test_supports_section_edit

     with_settings :text_formatting => 'textile' do

       assert_equal true, Redmine::WikiFormatting.supports_section_edit?

     end

-

+

     with_settings :text_formatting => '' do

       assert_equal false, Redmine::WikiFormatting.supports_section_edit?

     end

Associated revisions

Revision 17785 - 2019-01-10 10:07 - Go MAEDA

Redmine::WikiFormattingTest#test_links_separated_with_line_break_should_link tests nothing (#30347).

Patch by Yuichi HARADA.

History

#1 - 2019-01-09 08:08 - Go MAEDA

2025-05-01 1/2

https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/test/unit/lib/redmine/wiki_formatting_test.rb#L57


- Subject changed from Test is do nothing to test_links_separated_with_line_break_should_link checks nothing

- Target version set to 4.1.0

LGTM. Setting the target version to 4.1.0.

#2 - 2019-01-10 10:07 - Go MAEDA

- Subject changed from test_links_separated_with_line_break_should_link checks nothing to test_links_separated_with_line_break_should_link tests

nothing

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed. Thanks.
